package tutorialJava.capitulo5.ej01_cromosBaloncesto;

public class Cromo {
	// Propiedades
	protected String nombreJugador;
	protected int puntuacion;
	protected String equipo;
	
	public Cromo() {
		this.nombreJugador = "Jugador por defecto";
		this.puntuacion = 0;
		this.equipo = "Sin equipo";
	}

	public Cromo(String nombreJugador, int puntuacion, String equipo) {
		this.nombreJugador = nombreJugador;
		this.puntuacion = puntuacion;
		this.equipo = equipo;
	}

	
	public void agregaMinimaPuntuacion() {
		this.puntuacion++;
	}
	
	
	public String getNombreJugador() {
		return nombreJugador;
	}

	public void setNombreJugador(String nombreJugador) {
		this.nombreJugador = nombreJugador;
	}

	public int getPuntuacion() {
		return puntuacion;
	}

	public void setPuntuacion(int puntuacion) {
		this.puntuacion = puntuacion;
	}

	public String getEquipo() {
		return equipo;
	}

	public void setEquipo(String equipo) {
		this.equipo = equipo;
	}

	@Override
	public String toString() {
		return "Cromo [nombreJugador=" + nombreJugador + ", puntuacion=" + puntuacion + ", equipo=" + equipo + "]";
	}




	
}
